Bug 1290436 - Invalid properties PARTITION_EVENT_PURGE and RESOURCE_CONFIG_HISTORY_PURGE appear on system setting page and prevent config from being saved
Invalid properties PARTITION_EVENT_PURGE and RESOURCE_CONFIG_HISTORY_PURGE ap...
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.3.5
Unspecified Unspecified
urgent Severity high
: DR01
: JON 3.3.6
Assigned To: Josejulio Martínez
Sunil Kondkar
: Regression, Triaged
: 1308960 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 09:07 EST by Sunil Kondkar
Modified: 2016-07-27 11:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 11:32:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot-System Settings Default view with blank required fields (20.79 KB, image/png)
2015-12-10 09:07 EST, Sunil Kondkar
no flags Details
Screenshot_Disabled Save button after entering LDAP config values (14.55 KB, image/png)
2015-12-10 09:09 EST, Sunil Kondkar
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2165051 None None None 2016-02-17 11:47 EST

  None (edit)
Description Sunil Kondkar 2015-12-10 09:07:54 EST
Created attachment 1104360 [details]
Screenshot-System Settings Default view with blank required fields

Description of problem:

After installing 3.3.0.GA Update 05 DR01 build, navigated to Administration->Configuration->System Settings. By default, the page displays two properties - PARTITION_EVENT_PURGE and RESOURCE_CONFIG_HISTORY_PURGE as mandatory and blank. Entered the values in bothe fields and then tried to enter the ldap values in ldap configuration properties, observed that the 'Save' button is still disabled and I could not save the LDAP config properties.

Please refer the attached screenshots.

Version-Release number of selected component (if applicable):

Browser Versions:
Firefox 38.0.5
IE 9.0.8112.16421

JBoss On version:
Version :3.3.0.GA Update 05
Build Number :bb9d2ba:95ae59f


How reproducible:

Always

Steps to Reproduce:

1)Login to JBoss ON as rhqadmin
2)Navigate to Administration->Configuration->System Settings
3)The system settings page shows below fields as required and does not have any values by default:
PARTITION_EVENT_PURGE
RESOURCE_CONFIG_HISTORY_PURGE
4) Enter some value in above fields (ex: 1 )
5) Enter the LDAP properties like 'Search Base', 'Username', 'Password', 'Search Filter', 'Group Search Filter' and 'LDAP URL'
6) The Save button is not enabled after entering ldap values.

Actual results:

The Save button is not enabled after entering ldap values.

Expected results:

Save button should be enabled and user should be able to save the values.

Additional info:

Workaround: Save button is enabled when user removes a value using backspace or deletes and enters a value in some other mandatory field like 'Agent Max Quiet Time Allowed'.
Comment 1 Sunil Kondkar 2015-12-10 09:09 EST
Created attachment 1104361 [details]
Screenshot_Disabled Save button after entering LDAP config values
Comment 3 Larry O'Leary 2016-02-17 11:42:37 EST
The issue described in comment 0 is a bit misleading. 

This is not about not being able to save the configuration page due to empty defaults but the fact that PARTITION_EVENT_PURGE_PERIOD and RESOURCE_CONFIG_HISTORY_PURGE_PERIOD appear on this page in the first place. 

This is a regression from 3.3.4 and should have been a blocker for 3.3.5. However, it was not identified as such until after 3.3.5 freeze and release.

The workaround is to set these invalid properties to 0.
Comment 4 Larry O'Leary 2016-02-17 11:44:09 EST
Actual results:

PARTITION_EVENT_PURGE and RESOURCE_CONFIG_HISTORY_PURGE appear on system settings administration page in JBoss ON UI.

Expected results:

PARTITION_EVENT_PURGE and RESOURCE_CONFIG_HISTORY_PURGE should not appear on the system settings administration page.
Comment 5 bkramer 2016-02-17 11:45:23 EST
*** Bug 1308960 has been marked as a duplicate of this bug. ***
Comment 8 Mike McCune 2016-03-28 18:47:43 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 11 Simeon Pinder 2016-06-17 21:11:51 EDT
Moving to ON_QA as available to test with JON 3.3.6 DR01 brew build:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=499890
Comment 12 Sunil Kondkar 2016-06-23 06:04:40 EDT
Verified on version : 3.3.0.GA Update 06 Build Number :	675641d:2fcd5b7

The invalid properties - PARTITION_EVENT_PURGE and RESOURCE_CONFIG_HISTORY_PURGE does not appear on the system settings administration page.

Verified that system settings / ldap settings are saved successfully.
Comment 13 errata-xmlrpc 2016-07-27 11:32:06 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1519.html

Note You need to log in before you can comment on or make changes to this bug.